Skip to main content
POST
/
v1
/
api
/
dashboard
/
create
Create an empty dashboard
curl --request POST \
  --url https://api.upsolve.ai/v1/api/dashboard/create \
  --header 'Content-Type: application/json' \
  --header 'authorization: <api-key>' \
  --data '
{
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "apiKey": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connectionId": "<string>"
}
'
{
  "status": "<string>",
  "data": {
    "dashboardId": "<string>",
    "name": "<string>"
  }
}

Authorizations

authorization
string
header
required

Body

application/json

POST /v1/api/dashboard/create Request body

workspaceId
string<uuid>
required

The workspace to create the dashboard in

name
string
required

Name for the new dashboard

Minimum string length: 1
apiKey
string

Upsolve API key, generated in the Deploy tab of the Upsolve Hub.

Minimum string length: 1
organizationId
string<uuid>

The ID of the organization. Required when using Supabase JWT authentication.

connectionId
string

The ID of the connection a guest has access to

Response

POST /v1/api/dashboard/create Positive response

status
string
required
Allowed value: "success"
data
object
required